PHP Version 7.3.5

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
Sippan
Registered User
Posts: 173
Joined: Thu Jan 27, 2011 6:23 am
Contact:

PHP Version 7.3.5

Post by Sippan » Wed May 01, 2019 10:18 am

Do get this when i try update from 3.2.5

Code: Select all

You are running an unsupported PHP version. Please upgrade to PHP equal to or greater than 5.4.7 but less than 7.3-dev in order to install or update to phpBB 3.2

User avatar
Scanialady
Registered User
Posts: 265
Joined: Thu Jan 17, 2013 7:09 pm
Location: Germany
Name: Annette
Contact:

Re: PHP Version 7.3.5

Post by Scanialady » Wed May 01, 2019 10:25 am

this error message tolds you all you need:

PHP equal to or greater than 5.4.7 but less than 7.3-dev

downgrade your PHP version.
Webseite, Blog, Wiki Deutsche Übersetzungen - german language files
My 2 cents: Whether an extension is in the CDB says nothing about its quality. It is more important to read the support topics for it. Better to avoid authors who do not answer support questions themselves, who do not update their stuff, and who do not fix bugs for years.

kholman
Registered User
Posts: 68
Joined: Sun Jan 16, 2005 12:35 am
Location: Maryland USA
Contact:

Re: PHP Version 7.3.5

Post by kholman » Thu May 02, 2019 1:45 am

Disappointing. My first 5 install/upgrade to 3.2.6 went uneventful and I decided to push it and install the 6th which is on a different server. Luckily, I did my backups and should be able to re-install 3.2.5 soon.

Accepting that this is my responsibility to check, I have missed any notice of the php Version prior to the install. So that I learn and don't repeat my mistake, where should I have looked to see the notice on supported php versions before the install?

Thanks for the assist.

User avatar
3Di
Former Team Member
Posts: 13663
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: PHP Version 7.3.5

Post by 3Di » Thu May 02, 2019 2:01 am

kholman wrote:
Thu May 02, 2019 1:45 am
Accepting that this is my responsibility to check, I have missed any notice of the php Version prior to the install. So that I learn and don't repeat my mistake, where should I have looked to see the notice on supported php versions before the install?
At the Announce: viewtopic.php?f=14&t=2509941 - basically.
... as well as preventing the installation of phpBB 3.2 on PHP 7.3.
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
👨‍🏫 | Take a tour to | The Studio | 👨‍🏫

kholman
Registered User
Posts: 68
Joined: Sun Jan 16, 2005 12:35 am
Location: Maryland USA
Contact:

Re: PHP Version 7.3.5

Post by kholman » Thu May 02, 2019 2:13 am

Thanks. I admit that my eyes kind of glazed over before I had read down that far. But now I know and have learned. Thanks.

(By the way, my 3.2.5 is reinstalled and working fine, thank goodness for following the directions and pulling the backups first!)

Thanks again.

User avatar
3Di
Former Team Member
Posts: 13663
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: PHP Version 7.3.5

Post by 3Di » Thu May 02, 2019 2:16 am

You're welcome. :)
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
👨‍🏫 | Take a tour to | The Studio | 👨‍🏫

Post Reply

Return to “[3.2.x] Support Forum”